Debian Bug report logs - #612978
xterm: Can't disable fullscreen key setting?

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Christian Ohm <chr.ohm@gmx.net>

Date: Sat, 12 Feb 2011 01:09:01 UTC

Severity: normal

Merged with 613645

Found in version xterm/268-1

Fixed in version xterm/269-1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612978; Package xterm. (Sat, 12 Feb 2011 01:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Ohm <chr.ohm@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Feb 2011 01:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Ohm <chr.ohm@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: Can't disable fullscreen key setting?
Date: Sat, 12 Feb 2011 02:04:42 +0100
Package: xterm
Version: 268-1
Severity: normal

Hello,

After updating to xterm 268, trying to use alt-enter in mc suddenly made my
window fullscreen. That wouldn't be that bad if there was a way to disable
this, but I tried some settings in ~/..Xresources like

XTerm.*translations:#override Alt <Key>Return: ignore()

which all didn't help. I'm not sure what the problem is (it might just be
insufficient documentation), but it would be very nice if this fullscreen key
mapping was optional. At the moment I've downgraded to 266 again, but that is
not a good long-term solution.

Best regards,
Christian Ohm


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                     2.11.2-11      Embedded GNU C Library: Shared lib
ii  libfontconfig1            2.8.0-2.1      generic font configuration library
ii  libice6                   2:1.0.7-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20100313-5 shared libraries for terminal hand
ii  libutempter0              1.1.5-3        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.4.1-4      X11 client-side library
ii  libxaw7                   2:1.0.9-2      X11 Athena Widget library
ii  libxft2                   2.2.0-2        FreeType-based font drawing librar
ii  libxmu6                   2:1.1.0-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.9-2      X11 toolkit intrinsics library
ii  xbitmaps                  1.1.1-1        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.6+1      X11 utilities

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information

-- 
Non-sequiturs make me eat lampshades.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612978; Package xterm. (Sat, 12 Feb 2011 13:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Feb 2011 13:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 612978@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Christian Ohm <chr.ohm@gmx.net>, 612978@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#612978: xterm: Can't disable fullscreen key setting?
Date: Sat, 12 Feb 2011 08:35:07 -0500 (EST)
On Sat, 12 Feb 2011, Christian Ohm wrote:

> Package: xterm
> Version: 268-1
> Severity: normal
>
> Hello,
>
> After updating to xterm 268, trying to use alt-enter in mc suddenly made my
> window fullscreen. That wouldn't be that bad if there was a way to disable
> this, but I tried some settings in ~/..Xresources like
>
> XTerm.*translations:#override Alt <Key>Return: ignore()
>
> which all didn't help. I'm not sure what the problem is (it might just be
> insufficient documentation), but it would be very nice if this fullscreen key
> mapping was optional. At the moment I've downgraded to 266 again, but that is
> not a good long-term solution.

I'll add a resource setting (like the one for utf8) to make it 
configurable.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Merged 612978 613645. Request was from Kan-Ru Chen <koster@debian.org> to control@bugs.debian.org. (Wed, 16 Feb 2011 12:39:08 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sat, 05 Mar 2011 16:45:37 GMT) Full text and rfc822 format available.

Notification sent to Christian Ohm <chr.ohm@gmx.net>:
Bug acknowledged by developer. (Sat, 05 Mar 2011 16:45:37 GMT) Full text and rfc822 format available.

Message #17 received at 612978-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 612978-close@bugs.debian.org
Subject: Bug#612978: fixed in xterm 269-1
Date: Sat, 05 Mar 2011 16:36:25 +0000
Source: xterm
Source-Version: 269-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_269-1.diff.gz
  to main/x/xterm/xterm_269-1.diff.gz
xterm_269-1.dsc
  to main/x/xterm/xterm_269-1.dsc
xterm_269-1_amd64.deb
  to main/x/xterm/xterm_269-1_amd64.deb
xterm_269.orig.tar.gz
  to main/x/xterm/xterm_269.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612978@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Mar 2011 17:05:05 +0100
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 269-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 612978
Changes: 
 xterm (269-1) unstable; urgency=low
 .
   * New upstream release:
     - Make the fullscreen feature configurable (Closes: #612978).
Checksums-Sha1: 
 bb8dddac8eff85ed8f8b4f2909420690caf0d755 1354 xterm_269-1.dsc
 188696db138919a014b49c54d93f085c20e3b39f 958656 xterm_269.orig.tar.gz
 9fcd9373b17807a63d1044e482f55f45262507d9 90526 xterm_269-1.diff.gz
 062e2f5cef4165ae0d4b0061ba1698725f2b16f8 572186 xterm_269-1_amd64.deb
Checksums-Sha256: 
 f97d9017c99d410d6c3f6164de66aa1f7e63a290e1118bf4009f9dd4ac290d2e 1354 xterm_269-1.dsc
 70e0bb1b53948bdf589db1821f69af39b0f308fbb2173cc396db70a375ca0c22 958656 xterm_269.orig.tar.gz
 9c5bdc6d56b23725c83e4e59c2ec660f9b38e0d359bb1a6b9610c82f87db5ae2 90526 xterm_269-1.diff.gz
 7e459d8150ba4baf5a746fff1ce56e35a45af205dab811080d1bc9a76c3bb8fe 572186 xterm_269-1_amd64.deb
Files: 
 e1091bfe38dfc438f4b5e97c9e1855b4 1354 x11 optional xterm_269-1.dsc
 d32150a7c1b2a8b6e2cbc95d180b9fec 958656 x11 optional xterm_269.orig.tar.gz
 b00fd18b9b0d4f2cbe9f6bf9ba037502 90526 x11 optional xterm_269-1.diff.gz
 5da074c5f0dbccde949f69a3bee9d7f2 572186 x11 optional xterm_269-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk1yYDMACgkQeGfVPHR5Nd0d1wCgtigBiUDWaRM5w9e/jf05dFiQ
McUAnRQWC8vcCG9K/3ADbtBOJAWvgyyP
=ThL8
-----END PGP SIGNATURE-----





Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sat, 05 Mar 2011 16:45:38 GMT) Full text and rfc822 format available.

Notification sent to Kan-Ru Chen <koster@debian.org>:
Bug acknowledged by developer. (Sat, 05 Mar 2011 16:45:38 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612978; Package xterm. (Sat, 19 Mar 2011 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lee Bigelow <ligelowbee@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 19 Mar 2011 14:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 612978@bugs.debian.org (full text, mbox):

From: Lee Bigelow <ligelowbee@gmail.com>
To: 612978@bugs.debian.org
Subject: xterm 269 still not sending Alt-Enter through
Date: Sat, 19 Mar 2011 11:51:52 -0230
[Message part 1 (text/plain, inline)]
Just tried the updated xterm.  Noticed the its new fullscreen Xresource and
set:

XTerm*fullscreen: never

The Xterm no longer fullscreens on Alt-Enter, but the key sequences still
isn't passed on to mc or emacs running in the xterm.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612978; Package xterm. (Sat, 19 Mar 2011 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 19 Mar 2011 14:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 612978@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Lee Bigelow <ligelowbee@gmail.com>, 612978@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#612978: xterm 269 still not sending Alt-Enter through
Date: Sat, 19 Mar 2011 10:39:01 -0400 (EDT)
On Sat, 19 Mar 2011, Lee Bigelow wrote:

> Just tried the updated xterm.  Noticed the its new fullscreen Xresource and
> set:
>
> XTerm*fullscreen: never
>
> The Xterm no longer fullscreens on Alt-Enter, but the key sequences still
> isn't passed on to mc or emacs running in the xterm.

ouch.  I see it's a small fix (the call to VTInitTranslations in main.c
should be after the immediately-following ifdef).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612978; Package xterm. (Sat, 19 Mar 2011 15:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Ohm <chr.ohm@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 19 Mar 2011 15:03:06 GMT) Full text and rfc822 format available.

Message #37 received at 612978@bugs.debian.org (full text, mbox):

From: Christian Ohm <chr.ohm@gmx.net>
To: Lee Bigelow <ligelowbee@gmail.com>, 612978@bugs.debian.org
Subject: Re: Bug#612978: xterm 269 still not sending Alt-Enter through
Date: Sat, 19 Mar 2011 15:58:13 +0100
On Saturday, 19 March 2011 at 11:51, Lee Bigelow wrote:
> Just tried the updated xterm.  Noticed the its new fullscreen Xresource and
> set:
> 
> XTerm*fullscreen: never
> 
> The Xterm no longer fullscreens on Alt-Enter, but the key sequences still
> isn't passed on to mc or emacs running in the xterm.

Well, I added a "XTerm.omitTranslation: fullscreen" as well, and then it works.
That should probably be default when the fullscreen switching is disabled
though.

Best regards,
Christian Ohm




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612978; Package xterm. (Sat, 19 Mar 2011 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 19 Mar 2011 15:09:06 GMT) Full text and rfc822 format available.

Message #42 received at 612978@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Christian Ohm <chr.ohm@gmx.net>, 612978@bugs.debian.org
Cc: Lee Bigelow <ligelowbee@gmail.com>, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#612978: xterm 269 still not sending Alt-Enter through
Date: Sat, 19 Mar 2011 11:04:19 -0400 (EDT)
On Sat, 19 Mar 2011, Christian Ohm wrote:

> On Saturday, 19 March 2011 at 11:51, Lee Bigelow wrote:
>> Just tried the updated xterm.  Noticed the its new fullscreen Xresource and
>> set:
>>
>> XTerm*fullscreen: never
>>
>> The Xterm no longer fullscreens on Alt-Enter, but the key sequences still
>> isn't passed on to mc or emacs running in the xterm.
>
> Well, I added a "XTerm.omitTranslation: fullscreen" as well, and then it works.
> That should probably be default when the fullscreen switching is disabled
> though.

agreed (that was the intent of the special case that I added...)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612978; Package xterm. (Sun, 20 Mar 2011 19:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 20 Mar 2011 19:15:03 GMT) Full text and rfc822 format available.

Message #47 received at 612978@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 612978@bugs.debian.org
Cc: Christian Ohm <chr.ohm@gmx.net>, Lee Bigelow <ligelowbee@gmail.com>, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#612978: xterm 269 still not sending Alt-Enter through
Date: Sun, 20 Mar 2011 15:13:00 -0400
[Message part 1 (text/plain, inline)]
On Sat, Mar 19, 2011 at 11:04:19AM -0400, Thomas Dickey wrote:
> On Sat, 19 Mar 2011, Christian Ohm wrote:
>
>> On Saturday, 19 March 2011 at 11:51, Lee Bigelow wrote:
>>> Just tried the updated xterm.  Noticed the its new fullscreen Xresource and
>>> set:
>>>
>>> XTerm*fullscreen: never
>>>
>>> The Xterm no longer fullscreens on Alt-Enter, but the key sequences still
>>> isn't passed on to mc or emacs running in the xterm.
>>
>> Well, I added a "XTerm.omitTranslation: fullscreen" as well, and then it works.
>> That should probably be default when the fullscreen switching is disabled
>> though.
>
> agreed (that was the intent of the special case that I added...)

fwiw, here's a patch (will be in #270) which fixes that case...


-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[xterm-269a.patch.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Apr 2011 07:33:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:53:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.